wchar_t(3type)

NAME
wchar_t - wide-character type

LIBRARY
Standard C library (libc)

SYNOPSIS
#include <stddef.h>

typedef /* ... */  wchar_t;

#include <stdint.h>

#define WCHAR_WIDTH  /* ... */
#define WCHAR_MAX    /* ... */
#define WCHAR_MIN    /* ... */

DESCRIPTION
wchar_t is a type used for storing a wide character. It is an integer type.

STANDARDS
C11, POSIX.1-2024.

HISTORY

wchar_t
    SUSv1, C99, POSIX.1-2001.

WCHAR_MAX
WCHAR_MIN
    SUSv2, C99, POSIX.1-2001.

The WCHAR_WIDTH macro was added in C23.

NOTES
The following headers also provide this type: <inttypes.h>, <stdlib.h>, <wchar.h>, <wctype.h>.

The following header also provides these macros: <wchar.h>.

SEE ALSO
wint_t(3type), fputwc(3)